Subject: Re: pull request: wireless 2012-02-20

From: Zefir Kurtisi <[email-masked]>
Date: Wed, 22 Feb 2012 11:07:55 +0100

On 02/21/2012 09:40 PM, David Miller wrote:
> From: Andrei Emeltchenko <[email-masked]>
> Date: Tue, 21 Feb 2012 22:38:16 +0200
> 
>> Hi David,
>>
>> On Tue, Feb 21, 2012 at 9:44 PM, David Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]> wrote:
>>> From: "John W. Linville" <[email-masked]>
>>> Date: Tue, 21 Feb 2012 10:14:36 -0500
>>> [...]
>>
>> Sorry did we understand wrong text of Linux coding style? Or do we need
>> right interpretation of it?
> 
> I'm not engaging in this conversation any more, I don't care what CodingStyle
> says, the quoted code is garbage.

This is not really helpful, David.

Andrei's question was fully reasonable here, i.e. the Documentation/CodingStyle is the only binding reference given to potential contributors -- the common 'how-to-contribute-kernel-patches' docs non-24/7-kernel-folks usually find and follow on the way preparing patches end exactly there.

I recently learned the hard way when my patches were ignored just because of some missing spaces. That would be perfectly fair if some formal rules were broken, but not telling people about additional informal ones is not motivating.

I might be fully blind and just missed the related coding style document that covers the issues discussed here. But even then your answer should be 'RTFM' instead of just ending the conversation.

Cheers, Zefir
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html